
CoCoA-5 - Bug #1244

MSatLinSolve: req minor improvements

15 Feb 2019 22:46 - John Abbott

Status: In Progress Start date: 15 Feb 2019

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: enhancing/improving Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.25 hour

Description

Currently MSatLinSolve appears to accept matrices over finite fields; probably it should require the ring to be char 0 (perhaps only ZZ

or QQ?)

The manual page should be improved.  What are the allowed fields in the arg?  eq0, lt0, le0, ne0, gt0 and ge0??  This should be

explained clearly in the description.

History

#1 - 02 Oct 2019 16:13 - John Abbott

- Description updated

- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0

#2 - 03 Feb 2022 20:14 - John Abbott

- Status changed from New to In Progress

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2

- % Done changed from 0 to 10

I have added a quick test in BuiltinFunctions-MathSAT.C.

A very quick test worked as hoped.  But it needs more testing.
